Search for __get

  1. Search 7.x for __get
  2. Search 9.5.x for __get
  3. Search 8.9.x for __get
  4. Search 10.3.x for __get
  5. Other projects
Title Object type File name Summary
RouteMatchTestBase::testGetRawParameter function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get raw parameter.
RouteMatchTestBase::testGetRawParameters function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get raw parameters.
RouteMatchTestBase::testGetRouteName function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get route name.
RouteMatchTestBase::testGetRouteObject function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get route object.
RouteMethodSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RouteMethodSubscriber.php
RouteNameCacheContext::getContext function core/lib/Drupal/Core/Cache/Context/RouteNameCacheContext.php Returns the string representation of the cache context.
RouteNameCacheContext::getLabel function core/lib/Drupal/Core/Cache/Context/RouteNameCacheContext.php Returns the label of the cache context.
RoutePreloader::getSubscribedEvents function core/lib/Drupal/Core/Routing/RoutePreloader.php
RoutePreloader::isGetAndHtmlRoute function core/lib/Drupal/Core/Routing/RoutePreloader.php Determines whether the given route is a GET and HTML route.
RouteProcessorManager::getOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Returns the sorted array of outbound processors.
RouteProcessorManagerTest::getMockProcessor function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Returns a mock Route processor object.
RouteProvider::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProvider.php Returns all the routes on the system.
RouteProvider::getAllRoutes function core/tests/Drupal/KernelTests/RouteProvider.php Returns all the routes on the system.
RouteProvider::getCandidateOutlines function core/tests/Drupal/KernelTests/RouteProvider.php
RouteProvider::getCandidateOutlines function core/lib/Drupal/Core/Routing/RouteProvider.php Returns an array of path pattern outlines that could match the path parts.
RouteProvider::getCurrentLanguageCacheIdPart function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the language identifier for the route collection cache.
RouteProvider::getQueryParametersCacheIdPart function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the query parameters identifier for the route collection cache.
RouteProvider::getRouteAliases function core/lib/Drupal/Core/Routing/RouteProvider.php Gets aliases for a route name.
RouteProvider::getRouteAliases function core/tests/Drupal/KernelTests/RouteProvider.php Gets aliases for a route name.
RouteProvider::getRouteByName function core/tests/Drupal/KernelTests/RouteProvider.php Find the route using the provided route name.
RouteProvider::getRouteByName function core/lib/Drupal/Core/Routing/RouteProvider.php Find the route using the provided route name.
RouteProvider::getRouteCollectionCacheId function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the cache ID for the route collection cache.
RouteProvider::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProvider.php Finds routes that may potentially match the request.
RouteProvider::getRouteCollectionForRequest function core/tests/Drupal/KernelTests/RouteProvider.php Finds routes that may potentially match the request.
RouteProvider::getRoutesByNames function core/tests/Drupal/KernelTests/RouteProvider.php Find many routes by their names using the provided list of names.
RouteProvider::getRoutesByNames function core/lib/Drupal/Core/Routing/RouteProvider.php Find many routes by their names using the provided list of names.
RouteProvider::getRoutesByPath function core/lib/Drupal/Core/Routing/RouteProvider.php Get all routes which match a certain pattern.
RouteProvider::getRoutesByPattern function core/lib/Drupal/Core/Routing/RouteProvider.php Get all routes which match a certain pattern.
RouteProvider::getRoutesByPattern function core/tests/Drupal/KernelTests/RouteProvider.php Get all routes which match a certain pattern.
RouteProvider::getSubscribedEvents function core/lib/Drupal/Core/Routing/RouteProvider.php
RouteProviderInterface::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Returns all the routes on the system.
RouteProviderInterface::getRouteAliases function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Gets aliases for a route name.
RouteProviderInterface::getRouteByName function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Find the route using the provided route name.
RouteProviderInterface::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Finds routes that may potentially match the request.
RouteProviderInterface::getRoutesByNames function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Find many routes by their names using the provided list of names.
RouteProviderInterface::getRoutesByPattern function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Get all routes which match a certain pattern.
RouteProviderLazyBuilder::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Returns all the routes on the system.
RouteProviderLazyBuilder::getRouteAliases function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Gets aliases for a route name.
RouteProviderLazyBuilder::getRouteByName function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Find the route using the provided route name.
RouteProviderLazyBuilder::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Finds routes that may potentially match the request.
RouteProviderLazyBuilder::getRouteProvider function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Gets the real route provider service and rebuilds the router id necessary.
RouteProviderLazyBuilder::getRoutesByNames function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Find many routes by their names using the provided list of names.
RouteProviderLazyBuilder::getRoutesByPattern function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Get all routes which match a certain pattern.
RouteProviderLazyBuilder::getSubscribedEvents function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php
RouteProviderTest::testGetAllRoutes function core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php Confirms RouteProvider::getAllRoutes() extracts information correctly from the database.
RouteProviderTest::testGetRoutesByPatternWithLongPatterns function core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php Ensures that the routing system is capable of extreme long patterns.
Router::getInitialRouteCollection function core/lib/Drupal/Core/Routing/Router.php Returns a collection of potential matching routes for a request.
Router::getRouteCollection function core/lib/Drupal/Core/Routing/Router.php
RouterTestEarlyExceptionSubscriber::getSubscribedEvents function core/modules/system/tests/modules/router_test_directory/src/RouterTestEarlyExceptionSubscriber.php
Routes::getEntryPointRoute function core/modules/jsonapi/src/Routing/Routes.php Provides the entry point route.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.